# Spice.ai v0.1.0-alpha.3

Announcing the release of Spice.ai v0.1.0-alpha.3! 🎉

## New in this release

- **Adds** a new **Log Pruner** [sample](https://github.com/spiceai/samples/tree/trunk/logpruner) and [quickstart](https://github.com/spiceai/quickstarts/tree/trunk/logpruner) to intelligently decide on the best time to prune logs or run maintenance on a server
- **Adds** a new **Kubernetes** [sample](https://github.com/spiceai/samples/tree/trunk/kubernetes) that shows how to get Spice.ai running in your Kubernetes cluster
- **Adds** significant improvements to data handling, including the ability to compose data "connectors" and "processors". This changes the way data is specified the pod manifest and is a **breaking change** (see below)
- **Adds** a completely rewritten dashboard based on React, with improved styling and useability, which will serve as a foundation for future improvements
- **Adds** a rewrite to the communication backend using gRPC insead of HTTP for improved performance and as a foundation for future improvements
- **Adds** the ability to fallback to $GITHUB_TOKEN where $SPICE_GH_TOKEN was not specified during Private Preview
- **Fixes** an issue where deleting a manifest file was not handled gracefully by the Spice.ai runtime
- **Fixes** an issue where debug logs were printed to the console
- **Fixes** an issue when running in Docker where the `http_port` config value was ignored
- **Fixes** an issue where the backend engine process would not terminate if the main spiced process crashes

## Notes

New in this release is the ability to compose data "connectors" and data "processors" decoupling the fetching and processing of data inputs. This enables the ability to create a single data processor, for example a CSV processor, with different input data connectors, for example using the "csv" processor with "file", "blob" or "database" connectors.

This introduces a breaking change to the way data connectors are specified in the pod manifest by splitting it into a connector and processor. Previously defined like:

```yaml
- datasource:
  from: coinbase
  name: btcusd
  # Old format
  connector:
    type: csv
    params:
      path: data/btcusd.csv
```

Has been changed to:

```yaml
- datasource:
  from: coinbase
  name: btcusd
  # New format
  data:
    connector:
      name: file
      params:
        path: ../../test/assets/data/csv/COINBASE_BTCUSD, 30.csv
    processor:
      name: csv
```
