# Spice.ai v0.2-alpha

We are excited to announce the release of [Spice.ai](http://Spice.ai) v0.2-alpha! 🎉

This release is the first major version since the [initial v0.1 announcement](https://blog.spiceai.org/posts/2021/09/07/introducing-spice.ai-open-source-time-series-ai-for-developers/) and includes significant improvements based upon community and early customer feedback. If you are new to [Spice.ai](http://Spice.ai), check out the [getting started guide](https://www.craft.do/media) and star [spiceai/spiceai](https://github.com/spiceai/spiceai) on GitHub.

## Highlights in v0.2-alpha

### Tagged data

In the first release, the runtime and AI engine could only ingest numerical data. In v0.2, tagged data is accepted and automatically encoded into fields available for learning. For example, it's now possible to include a "liked" tag when using tweet data, automatically encoded to a 0/1 field for training. Both CSV and the new [JSON](https://github.com/spiceai/data-components-contrib/blob/trunk/dataprocessors/json/README.md) observation formats support tags. The v0.3 release will add additional support for sets of categorical data.

### Streaming data

Previously, the runtime would trigger each [data connector](https://github.com/spiceai/data-components-contrib/blob/trunk/dataconnectors/README.md) to fetch on a 15-second interval. In v0.2, we upgraded the [interface for data connectors](https://github.com/spiceai/data-components-contrib/blob/trunk/dataconnectors/dataconnector.go) to a push/streaming model, which enables continuous streaming data into the environment and AI engine.

### Interpreted data

[Spice.ai](http://Spice.ai) works together with your application code and works best when it's provided continuous feedback. This feedback could be from the application itself, for example, ratings, likes, thumbs-up/down, profit from trades, or external expertise. The interpretations API was [introduced in v0.1.1](https://github.com/spiceai/spiceai/blob/trunk/docs/release_notes/v0.1.1-alpha.md), and v0.2 adds AI engine support providing a way to give meaning or an interpretation of ranges of time-series data, which are then available within reward functions. For example, a time range of stock prices could be a "good time to buy," or perhaps Tuesday mornings is a "good time to tweet," and an application or expert can teach the AI engine this through interpretations providing a shortcut to it's learning.

### New in this release

- **Adds** core runtime and AI engine tagged data support
- **Adds** tagged data support to the CSV processor
- **Adds** streaming data support to the engine and data connectors
- **Adds** a new [JSON data processor](https://github.com/spiceai/data-components-contrib/blob/trunk/dataprocessors/json/README.md) for ingesting JSON data
- **Adds** a new [Twitter data connector](https://github.com/spiceai/data-components-contrib/blob/trunk/dataconnectors/twitter/twitter.go) with JSON processor support
- **Adds** a new `/pods//dataspaces` API
- **Adds** support for using interpretations in reward functions [Learn more](https://docs.spiceai.org/concepts/interpretations).
- **Adds** support for downloading zipped pods from the [spicerack.org](http://spicerack.org) registry
- **Adds** support for adding data along with the pod manifest when adding a pod from the [spicerack.org](http://spicerack.org) registry
- **Adds** basic `/pods//diagnostics` API
- **Fixes** pod period, interval, and granularity not being correctly set when trying to use a "d" format
- **Fixes** the color scheme of action counts in the dashboard to improve readability
